/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Item
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Item {
  @SerializedName("owner_name")
  private String ownerName = null;

  @SerializedName("purchased_place")
  private String purchasedPlace = null;

  @SerializedName("purchased_date")
  private LocalDate purchasedDate = null;

  @SerializedName("form_of_payment")
  private String formOfPayment = null;

  @SerializedName("price")
  private Model60 price = null;

  @SerializedName("description")
  private String description = null;

  public Item ownerName(String ownerName) {
    this.ownerName = ownerName;
    return this;
  }

   /**
   * Name of the owner.
   * @return ownerName
  **/
  @ApiModelProperty(value = "Name of the owner.")
  public String getOwnerName() {
    return ownerName;
  }

  public void setOwnerName(String ownerName) {
    this.ownerName = ownerName;
  }

  public Item purchasedPlace(String purchasedPlace) {
    this.purchasedPlace = purchasedPlace;
    return this;
  }

   /**
   * Place where the item was purchased.
   * @return purchasedPlace
  **/
  @ApiModelProperty(value = "Place where the item was purchased.")
  public String getPurchasedPlace() {
    return purchasedPlace;
  }

  public void setPurchasedPlace(String purchasedPlace) {
    this.purchasedPlace = purchasedPlace;
  }

  public Item purchasedDate(LocalDate purchasedDate) {
    this.purchasedDate = purchasedDate;
    return this;
  }

   /**
   * Date when the item was purchased. ISO 8601 format (YYYY-MM-DD).
   * @return purchasedDate
  **/
  @ApiModelProperty(value = "Date when the item was purchased. ISO 8601 format (YYYY-MM-DD).")
  public LocalDate getPurchasedDate() {
    return purchasedDate;
  }

  public void setPurchasedDate(LocalDate purchasedDate) {
    this.purchasedDate = purchasedDate;
  }

  public Item formOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
    return this;
  }

   /**
   * The purchased form of payment.
   * @return formOfPayment
  **/
  @ApiModelProperty(example = "Cash", value = "The purchased form of payment.")
  public String getFormOfPayment() {
    return formOfPayment;
  }

  public void setFormOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
  }

  public Item price(Model60 price) {
    this.price = price;
    return this;
  }

   /**
   * Get price
   * @return price
  **/
  @ApiModelProperty(value = "")
  public Model60 getPrice() {
    return price;
  }

  public void setPrice(Model60 price) {
    this.price = price;
  }

  public Item description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Description of the item.
   * @return description
  **/
  @ApiModelProperty(value = "Description of the item.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Item item = (Item) o;
    return Objects.equals(this.ownerName, item.ownerName) &&
        Objects.equals(this.purchasedPlace, item.purchasedPlace) &&
        Objects.equals(this.purchasedDate, item.purchasedDate) &&
        Objects.equals(this.formOfPayment, item.formOfPayment) &&
        Objects.equals(this.price, item.price) &&
        Objects.equals(this.description, item.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ownerName, purchasedPlace, purchasedDate, formOfPayment, price, description);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Item {\n");
    
    sb.append("    ownerName: ").append(toIndentedString(ownerName)).append("\n");
    sb.append("    purchasedPlace: ").append(toIndentedString(purchasedPlace)).append("\n");
    sb.append("    purchasedDate: ").append(toIndentedString(purchasedDate)).append("\n");
    sb.append("    formOfPayment: ").append(toIndentedString(formOfPayment)).append("\n");
    sb.append("    price: ").append(toIndentedString(price)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

